package com.jeeplus.finance.projectReportArchive.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.finance.projectRecords.service.dto.CwProjectRecordsDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 财务-项目报告归档-项目归档
 */
public class CwProjectReportArchiveDetailDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;


    /**
     * 项目名称
     */
    @Excel(name = "项目名称",width = 40)
    private String projectName;

    /**
     * 项目负责人
     */
    @Excel(name = "项目负责人",width = 12)
    private String projectMasterName;

    /**
     * 报告文号
     */
    @Excel(name = "报告文号",width = 26)
    private String reportNo;

    /**
     * 报告日期
     */
    @Excel(name = "报告日期", exportFormat="yyyy-MM-dd",width = 16)
    private Date reportDate;

    /**
     * 归档时间
     */
    @Excel(name = "归档日期", exportFormat="yyyy-MM-dd",width = 16)
    private Date auditDate;

    /**
     * 签字注师1
     */
    @Excel(name = "签字注师1",width = 12)
    private String signatureAnnotatorName1;

    /**
     * 签字注师2
     */
    @Excel(name = "签字注师2",width = 12)
    private String signatureAnnotatorName2;

    /**
     * 逾期天数（天数）
     */
    @Excel(name = "逾期天数",type = 10,width = 10)
    private String overdueDay;

    /**
     * 归档状态
     */
    @Excel(name = "归档状态",width = 12)
    private String status;

    /**
     * 罚款金额
     */
    @Excel(name = "罚款金额",type = 10,width = 10)
    private String fineMoney;

    /**
     * 超期天数
     */
    private String overDueDay;

    /**
     * 合同id
     */
    private String contractId;

    /**
     * 合同编号
     */
    private String contractNumber;

    /**
     * 案卷号
     */
    private String number;

    /**
     * 报告到归档时间差（天数）
     */
    private Integer archiveDay;

    /**
     * 项目信息
     */
    private CwProjectRecordsDTO cwProjectRecordsDTO;

    /**
     * 归档时间区间
     */
    private String[] auditDates;

    /**
     * 报告时间区间
     */
    private String[] reportDates;

    private static final long serialVersionUID = 1L;

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getReportNo() {
        return reportNo;
    }

    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    public Date getReportDate() {
        return reportDate;
    }

    public void setReportDate(Date reportDate) {
        this.reportDate = reportDate;
    }

    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOverDueDay() {
        return overDueDay;
    }

    public void setOverDueDay(String overDueDay) {
        this.overDueDay = overDueDay;
    }

    public String getFineMoney() {
        return fineMoney;
    }

    public void setFineMoney(String fineMoney) {
        this.fineMoney = fineMoney;
    }

    public String getProjectMasterName() {
        return projectMasterName;
    }

    public void setProjectMasterName(String projectMasterName) {
        this.projectMasterName = projectMasterName;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public Integer getArchiveDay() {
        return archiveDay;
    }

    public void setArchiveDay(Integer archiveDay) {
        this.archiveDay = archiveDay;
    }

    public String getOverdueDay() {
        return overdueDay;
    }

    public void setOverdueDay(String overdueDay) {
        this.overdueDay = overdueDay;
    }

    public String getSignatureAnnotatorName1() {
        return signatureAnnotatorName1;
    }

    public void setSignatureAnnotatorName1(String signatureAnnotatorName1) {
        this.signatureAnnotatorName1 = signatureAnnotatorName1;
    }

    public String getSignatureAnnotatorName2() {
        return signatureAnnotatorName2;
    }

    public void setSignatureAnnotatorName2(String signatureAnnotatorName2) {
        this.signatureAnnotatorName2 = signatureAnnotatorName2;
    }

    public CwProjectRecordsDTO getCwProjectRecordsDTO() {
        return cwProjectRecordsDTO;
    }

    public void setCwProjectRecordsDTO(CwProjectRecordsDTO cwProjectRecordsDTO) {
        this.cwProjectRecordsDTO = cwProjectRecordsDTO;
    }

    public String[] getAuditDates() {
        return auditDates;
    }

    public void setAuditDates(String[] auditDates) {
        this.auditDates = auditDates;
    }

    public String[] getReportDates() {
        return reportDates;
    }

    public void setReportDates(String[] reportDates) {
        this.reportDates = reportDates;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}
